Package: grails.web.mapping.mvc.exceptions

## [Java] Class CannotRedirectException

- grails.web.mapping.mvc.exceptions.CannotRedirectException

-     public class CannotRedirectException
      extends ControllerExecutionException

  Thrown when the request cannot be redirected.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static long` | `serialVersionUID` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ControllerExecutionException` | `serialVersionUID`
    `class GrailsMVCException` | `serialVersionUID`
    `class GrailsException` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CannotRedirectException ()`
    `CannotRedirectException (java.lang.String message, java.lang.Throwable t)`
    `CannotRedirectException (java.lang.String message)`

- - ### Field Detail

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public CannotRedirectException()

    - #### public CannotRedirectException(java.lang.String message, java.lang.Throwable t)

    - #### public CannotRedirectException(java.lang.String message)